import request from '@/utils/request'

// 查询短信验证码列表
export function listSmsCode(query) {
  return request({
    url: '/hezhi/smsCode/list',
    method: 'get',
    params: query
  })
}

// 查询短信验证码详细
export function getSmsCode(smsCodeId) {
  return request({
    url: '/hezhi/smsCode/' + smsCodeId,
    method: 'get'
  })
}

// 新增短信验证码
export function addSmsCode(data) {
  return request({
    url: '/hezhi/smsCode',
    method: 'post',
    data: data
  })
}

// 修改短信验证码
export function updateSmsCode(data) {
  return request({
    url: '/hezhi/smsCode',
    method: 'put',
    data: data
  })
}

// 删除短信验证码
export function delSmsCode(smsCodeId) {
  return request({
    url: '/hezhi/smsCode/' + smsCodeId,
    method: 'delete'
  })
}
